import processing.serial.*;

Serial myPort;  // Create object from Serial class
int val;      // Data received from the serial port
boolean ledOn = false; //toggle to switch the led on

void setup() 
{
  size(200, 200);

  // open serial port
  String portName = Serial.list()[5];
  myPort = new Serial(this, portName, 9600);
}

void draw()
{
  background(255);             // Set background to white

  // read value from arduino
  if ( myPort.available() > 0) {  // If data is available,
    val = myPort.read();         // read it and store it in val
    println("val " + val);
  }

  float grey = map(val, 0, 165, 0, 255);
  fill(grey);                   // set fill color

  rect(50, 50, 100, 100);
}


void mouseClicked() {
  ledOn = !ledOn;
  myPort.write(byte(ledOn));
}

// ARDUINO CODE
/*
int potPin = 0;    // select the input pin for the potentiometer
int ledPin = 13;   // select the pin for the LED
int val = 0;       // variable to store the value coming from the sensor
int valIn = 0;

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);  // declare the ledPin as an OUTPUT
}

void loop() {

  val = int(analogRead(potPin) / 4);  // read the value from the sensor

  //  Serial.print(val);
  Serial.write(val);
  delay(100);

  while (Serial.available()) { // If data is available to read,
    valIn = int(Serial.read()); // read it and store it in val
  }
  if (valIn == 1) {
    digitalWrite(ledPin, HIGH);  // turn the ledPin on
  }
  else {
    digitalWrite(ledPin, LOW);
  }
}

*/
